Skip to main content
POST
/
scim
/
v2
/
Users
Create a user
curl --request POST \
  --url https://paradigm.lighton.ai/scim/v2/Users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalId": "<string>",
  "userName": "<string>",
  "name": {
    "givenName": "<string>",
    "familyName": "<string>"
  },
  "displayName": "<string>",
  "emails": {
    "value": "<string>"
  },
  "title": "<string>",
  "active": true,
  "password": "<string>"
}
'
import requests

url = "https://paradigm.lighton.ai/scim/v2/Users"

payload = {
"externalId": "<string>",
"userName": "<string>",
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"displayName": "<string>",
"emails": { "value": "<string>" },
"title": "<string>",
"active": True,
"password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalId: '<string>',
userName: '<string>',
name: {givenName: '<string>', familyName: '<string>'},
displayName: '<string>',
emails: {value: '<string>'},
title: '<string>',
active: true,
password: '<string>'
})
};

fetch('https://paradigm.lighton.ai/scim/v2/Users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "id": "<string>",
  "externalId": "<string>",
  "userName": "<string>",
  "name": {
    "givenName": "<string>",
    "familyName": "<string>",
    "formatted": "<string>"
  },
  "displayName": "<string>",
  "emails": [
    {
      "value": "<string>",
      "primary": true
    }
  ],
  "title": "<string>",
  "active": true,
  "groups": [
    {
      "value": "<string>",
      "display": "<string>"
    }
  ],
  "meta": {
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z",
    "location": "<string>",
    "resourceType": "User"
  }
}
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "Unauthorized",
"status": 401
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

externalId
string
required
userName
string
required
name
object
required
displayName
string
required
emails
object
required
title
string
required
preferredLanguage
required
  • ar - Arabic
  • en - English
  • fr - French
  • de - German
Available options:
ar,
en,
fr,
de
active
boolean
required
password
string
required
schemas
string[]

Response

Created user

schemas
string[]
required
read-only
id
string
required
read-only
externalId
string
required
read-only
userName
string
required
read-only
name
object
required
displayName
string
required
read-only
emails
object[]
required
read-only
title
string
required
read-only
preferredLanguage
enum<string>
required
  • ar - Arabic
  • en - English
  • fr - French
  • de - German
Available options:
ar,
en,
fr,
de
active
boolean
required
read-only
groups
object[]
required
read-only
meta
object
required